import { ProjectGraph } from '../config/project-graph';
import { Task, TaskGraph } from '../config/task-graph';
export declare function findCycle(graph: {
    dependencies: Record<string, string[]>;
}): string[] | null;
export declare function makeAcyclic(graph: {
    roots: string[];
    dependencies: Record<string, string[]>;
}): void;
export declare function getAtomizedRootTask(task: Task, taskGraph: TaskGraph, projectGraph: ProjectGraph): {
    project: string;
    target: string;
    configuration?: string;
} | undefined;
export declare function getAtomizerError(atomizedRootTaskId: string, nonAtomizedTask: string): string;
